# Configure OVH Object Storage as a Target

Here are the instruction to follow for creating a OVH Object Storage bucket/container:

* Login to the [OVH public cloud web console](https://www.ovh.com/auth/?onsuccess=https%3A%2F%2Fwww.ovh.com%2Fmanager%2Fpublic-cloud%2F\&ovhSubsidiary=GB).
* Click on the Object Storage option from the left pane and create a new Object Storage Container e.g. `demo-ovh-s3-bucket`

![OVH Object Storage Container list](/files/jJd9oXXz4wLGozyCbN61)

* Select the `S3 Users` tab and create a new user and provide `Administrator` to the new user. Make sure to save the `Password` generated for the user. You will need this password when you are going to `source` the Openstack's `openrc.sh` file.

![OVH S3 Users list](/files/6p3t52eNyuuhJj3UgR9P)

* Go to the `Users & Roles` section, click on three vertical dots to select the option `Download Openstack's RC file`

![Download the Openstack's RC file for the above created user](/files/zUZg1LLlJSMufYzsoUVB)

* Now, you have `openrc.sh` file, you can follow the [Getting Started with the Swift S3 API](https://docs.ovh.com/gb/en/storage/getting_started_with_the_swift_S3_API/) guide provided by OVH to generate the `Access key` and `Secret key` to access the OVH Object Storage Container. Use the password generated for the user create above.
* After installing the prerequisites of `python-openstackclient`, you can get the access and secret key using below command:

```bash
openstack ec2 credentials list
```

![Access key and Secret key to create a target secret](/files/aNrhVEzVLa7Rbu8Tk2L5)

* Now install the `awscli` and `awscli-plugin-endpoint` package to configure the AWS CLI.
* After you create `~/.aws/credentials` with above `accessKey` and `secretKey` and `~/.aws/config` file with correct `Region Name`, you have the s3.endpoint\_url to create the OVH Object Storage Container as a Target in T4K.
* Run below command to list the Object Storage container.

```
aws --profile default s3 ls
```

![OVH Container is accessible using awscli](/files/fxjeQR5vyVx6EQstXedV)

* Now, you have `credentialSecret`, `url`, `region` and S3 `bucketName` to proceed with the target creation.
* Follow the [Example 4 - OVH Object Storage as Target using Swift S3 API](/kubernetes/5.0.x/getting-started/using-trilio/getting-started-1/triliovault-crds.md) section to create the target.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trilio.io/kubernetes/5.0.x/appendix/configure-ovh-object-storage-as-a-target.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
